---
name: Feature request
about: Suggest an idea for this project
title: ''
labels: ''
assignees: ''

---

**Disclaimer**
Rule 1: Please be nice. You don't have to thank us, but we do not owe you a fix, even if it's a critical one. We write software because we're curious, we fix bugs because we have integrity. But we do not owe you anything. Please do not order us to work for you.

Rune 2: The authors of this project do NOT know what you are trying to accomplish. In order to understand what you are trying to accomplish, we need code. Except for those cases when you absolutely cannot do so, please ALWAYS include a standalone Go test function that shows us exactly how the code fails and what your expectations are.

Rule 3: Failing to attach a test code may result in the authors not taking up to review your report. We enjoy solving problems, but we are not your support staff (see Rule 1). Please help us help you by providing us with a reproducible code.

Rule 4 three: Please always delete this disclaimer section before submitting your issue. Failure to do so will result in the authors assuming that you have not read this template.

**Abstract**
Please describe concisely what you want to accomplish, including prerequisite information. Please remember that if _you_ cannot articulate the problem, we cannot guess what you are thinking.

**Describe the proposed solution/change**
Please attach a standalone Go test code that shows the problem, and what you expected to happen.

If it's a behavior change, please include a failing (or would-be failing) test case.  If it's a structural or an API change, we understand that you cannot create a complete compiling code, but please do your best to produce a a near-valid code that shows exactly what you want

**Analysis**
Please describe alternative solutions that you have considered, and pros/cons between them.

**Additional context**
Add any other context or screenshots about the feature request here.

**Sponsors**
Are you sponsoring the authors? If so, let us know. Otherwise, please delete this section.
